Bug 511160 - Spec fix for building under F11
Spec fix for building under F11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: vtk (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 19:22 EDT by Miao ZhiCheng
Modified: 2009-08-10 17:44 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.4.2-33.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 17:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miao ZhiCheng 2009-07-13 19:22:42 EDT
I checked out the 5.4.2-30 spec from cvs, and tried to build under F11, here is the changes I made otherwise it won't build:

===================================================================
RCS file: /cvs/pkgs/rpms/vtk/F-11/vtk.spec,v
retrieving revision 1.20
diff -u -r1.20 vtk.spec
--- vtk.spec	8 Jun 2009 06:04:08 -0000	1.20
+++ vtk.spec	13 Jul 2009 23:21:25 -0000
@@ -14,7 +14,7 @@
 License: BSD
 Group: System Environment/Libraries
 Source: http://www.vtk.org/files/release/5.4/%{name}-%{version}.tar.gz
-Patch0: vtk-5.2.0-pythondestdir.patch
+Patch0: vtk-5.2.1-pythondestdir.patch
 Patch1: vtk-5.2.0-gcc43.patch
 URL: http://vtk.org/
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
@@ -224,19 +224,16 @@
 rm -rf %{buildroot}
 mkdir -p %{buildroot}
 make install
-mv tmpinstall/* %{buildroot}/
+cp -R tmpinstall/* %{buildroot}/
 
 if [ "%{_lib}" != lib -a "`ls %{buildroot}%{_prefix}/lib/*`" != "" ]; then
   mkdir -p %{buildroot}%{_libdir}
   mv %{buildroot}%{_prefix}/lib/* %{buildroot}%{_libdir}/
 fi
 
-# Gather list of non-python/tcl libraries
-ls %{buildroot}%{_libdir}/*.so.* \
-  | grep -Ev '(Java|QVTK|PythonD|TCL)' | sed -e's,^%{buildroot},,' > libs.list
-
 # List of executable utilities
 cat > utils.list << EOF
+lproj
 vtkParseOGLExt
 vtkEncodeString
 EOF
@@ -296,15 +293,20 @@
   chrpath -d %{buildroot}$file
 done
 
-# Main package contains utils and core libs
-cat libs.list utils.list > main.list
-
 # Make shared libs and scripts executable
 mv %{buildroot}%{_libdir}/vtk-5.4/lib*.so* %{buildroot}%{_libdir}/
+
 chmod a+x %{buildroot}%{_libdir}/lib*.so.*
 chmod a+x %{buildroot}%{_libdir}/vtk-5.4/doxygen/*.pl
 chmod a+x %{buildroot}%{_libdir}/vtk-5.4/testing/*.{py,tcl}
 
+# Gather list of non-python/tcl libraries
+ls %{buildroot}%{_libdir}/*.so.* \
+  | grep -Ev '(Java|QVTK|PythonD|TCL)' | sed -e's,^%{buildroot},,' > libs.list
+
+# Main package contains utils and core libs
+cat libs.list utils.list > main.list
+
 # Remove exec bit from non-scripts and %%doc
 for file in `find %{buildroot} -type f -perm 0755 \
   | xargs -r file | grep ASCII | awk -F: '{print $1}'`; do
@@ -353,6 +355,7 @@
 %files devel
 %defattr(-,root,root,-)
 %doc Utilities/Upgrading
+%{_libdir}/vtk-5.4/doc
 %{_libdir}/vtk-5.4/doxygen
 %{_includedir}/vtk
 %{_libdir}/*.so


An attachment is also provided.
Comment 1 Fedora Update System 2009-07-23 06:24:46 EDT
vtk-5.4.2-33.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vtk-5.4.2-33.fc11
Comment 2 Fedora Update System 2009-07-23 06:25:10 EDT
vtk-5.4.2-33.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vtk-5.4.2-33.fc10
Comment 3 Fedora Update System 2009-07-23 15:03:38 EDT
vtk-5.4.2-33.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7940
Comment 4 Fedora Update System 2009-07-23 15:10:10 EDT
vtk-5.4.2-33.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7958
Comment 5 Fedora Update System 2009-08-01 19:53:10 EDT
vtk-5.4.2-33.fc10, vtkdata-5.4.2-13.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk vtkdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7940
Comment 6 Fedora Update System 2009-08-01 20:02:58 EDT
vtk-5.4.2-33.fc11, vtkdata-5.4.2-13.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vtk vtkdata'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7958
Comment 7 Fedora Update System 2009-08-10 17:43:20 EDT
vtk-5.4.2-33.fc10, vtkdata-5.4.2-13.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-08-10 17:44:26 EDT
vtk-5.4.2-33.fc11, vtkdata-5.4.2-13.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.